com.ihr.xbrl.resolvers

## Interface Worker

- All Known Implementing Classes:
    IFRS2010NameOfReportingEntity, LastResortCompanyName, LastResortConceptName, StaticConceptName, TaxonomyPrefixConceptName, TaxonomyPrefixPlus0ConceptName, TaxonomyPrefixPlus1ConceptName, TaxonomyPrefixPlus2ConceptName, TaxonomyPrefixPlus3ConceptName, TaxonomyPrefixPlus4ConceptName, TaxonomyPrefixPlus5ConceptName, USGaapDEI2008EntityRegistrantName, USGaapDEI2008TradingSymbol

      public interface Worker

  The Interface Worker.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDoTheWork(java.lang.Object parameter)` returns true if the worker can perform its work with the supplied parameters.
    `java.lang.Object` | `doTheWork(java.lang.Object parameter)` returns the value that is the result of the work operation.
    `float` | `getPriority()` Serves for organizing the workers in the queue so the workers with higher priority are asked to do the work first.
    `java.lang.String[]` | `getRoles()` Return the roles for which this worker is able to produce work.

- - ### Method Detail

    - #### getPriority

          float getPriority()

      Serves for organizing the workers in the queue so the workers with higher priority are asked to do the work first.
      Returns:
        Number

    - #### getRoles

          java.lang.String[] getRoles()

      Return the roles for which this worker is able to produce work.
      Returns:
        the roles

    - #### canDoTheWork

          boolean canDoTheWork(java.lang.Object parameter)

      returns true if the worker can perform its work with the supplied parameters.
      Parameters:
        `parameter` - Object. the worker should check if the parameter is of the appropriate type
      Returns:
        boolean value, true if the worker can do the work

    - #### doTheWork

          java.lang.Object doTheWork(java.lang.Object parameter)

      returns the value that is the result of the work operation.
      Parameters:
        `parameter` - the parameter
      Returns:
        Object Object